Bug 645723 - Agent discovery command message shows resource id with comma [,]
Agent discovery command message shows resource id with comma [,]
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Agent (Show other bugs)
4.0.0
Unspecified Unspecified
low Severity medium (vote)
: ---
: ---
Assigned To: John Mazzitelli
Corey Welton
:
Depends On:
Blocks: rhq4
  Show dependency treegraph
 
Reported: 2010-10-22 06:03 EDT by Rajan Timaniya
Modified: 2011-05-23 21:11 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-23 21:11:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rajan Timaniya 2010-10-22 06:03:26 EDT
Description of problem:
Agent discovery command message shows resource id with comma [,]

> discovery --verbose --resourceId=10013
The given resource ID [10,013] does not match any resource in inventory.

Version-Release number of selected component (if applicable):
RHQ-Master build #442
http://hudson-qe.rhq.rdu.redhat.com:8080/view/RHQ/job/ci-rhq-master/442/

How reproducible:
Always

Steps to Reproduce:
1) Installed RHQ server and agent

2) Execute command on agent: discovery --verbose --resourceId=<INVALID_RESOURCE_ID>
  
Actual results:
Agent discovery command message shows resource id with comma [,]

Expected results:
Agent discovery command message should not show resource id with comma.
> discovery --verbose --resourceId=10013
The given resource ID [10013] does not match any resource in inventory.
Comment 1 John Mazzitelli 2011-02-18 11:01:08 EST
fixed... commit 6f88237
Comment 2 Sunil Kondkar 2011-04-11 08:14:48 EDT
Verified on build#1140 (Version: 4.0.0-SNAPSHOT Build Number: 0589b9e)

Agent discovery command message does not display resource id with comma.

Marking as verified
Comment 3 Corey Welton 2011-05-23 21:11:29 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 4 Corey Welton 2011-05-23 21:11:29 EDT
Bookkeeping - closing bug - fixed in recent release.

Note You need to log in before you can comment on or make changes to this bug.